<ui-view>
	<div id="login-wrapper">
		<div class="grid login">
			<div class="login-logotype"><img src="assets/img/softronic_logo.png" alt="Aktieboken"/>
			</div>
			<div class="row clearfix with-padding">
				<div class="col-1 description">
					<h2>Logga in</h2>
				</div>


				<div class="" svab-feedback-target="login.bankid"></div>
				<div ng-switch="bankId.state">
					<div class="clearfix" ng-switch-when="chose">
						<div class="col-1 description" ng-hide="isMobileBrowser()"><!-- RFA19 MODIFIERAD --> Vill du logga in med BankID<br/>på den här
							datorn eller på en annan enhet?
						</div>
						<div class="col-1 description" ng-show="isMobileBrowser()"><!-- RFA20 MODIFIERAD --> Vill du logga in med ett BankID<br/>på den
							här enheten eller med ett BankID på en annan enhet?
						</div>

						<div class="login-buttons clearfix">
							<div class="col-1">
                                <button ng-click="bankId.state='mobilt_bankid'">BankID på en annan enhet</button>
                            </div>
                            <div class="col-1">
							<button ng-click="logInBankID()">
								BankID på den här <span ng-show="isMobileBrowser()">enheten</span><span ng-hide="isMobileBrowser()">datorn</span>
							</button>
						</div>
					</div>
					<div ng-switch-when="bankid_link">
						<p>{{bankId.statusMsg}}</p>
						<p><a ng-href="{{bankId.link}}">Tryck här för att starta BankID</a></p>

						<div class="col-1 clearfix cancel-button">
							<button ng-click="cancelBankIDLogin()">Avbryt</button>
						</div>
					</div>
					<div ng-switch-when="bankid_status">
						<p><span class="col-1">{{bankId.statusMsg}}</span></p>
						<p>&nbsp;</p>

						<div class="col-1 clearfix cancel-button">
							<button ng-click="cancelBankIDLogin()">Avbryt</button>
						</div>
					</div>
					<div ng-switch-when="mobilt_bankid">
						<form name="mobiltbankid" novalidate>

							<div class="form-group col-1">
								<input type="text"
								       id="username"
								       name="personalNumber"
								       ng-model="personalNumber"
								       placeholder="Personnummer"
								       required
								       ng-pattern="/^(19|20)[0-9]{10}$/">

								<div ng-messages="mobiltbankid.personalNumber.$error" ng-show="mobiltbankid.personalNumber.$touched">
									<p class="form-feedback error" ng-message="required">Ange ditt personnummer</p>
									<p class="form-feedback error" ng-message="pattern">Ange ditt personnummer på formen ÅÅÅÅMMDDXXXX</p>
								</div>
							</div>
							<div class="login-buttons clearfix">
								<div class="col-1">
									<button ng-click="logInBankID(personalNumber)">Fortsätt</button>
								</div>
							</div>
							<div class="col-1 clearfix register-help-button">
								<button ng-click="resetBankId()">Gå tillbaka</button>
							</div>

						</form>

					</div>
				</div>

				<div class="col-1 read-more">
					<a class="bankid-link" target="_blank" rel="noopener noreferrer" href="http://www.bankid.com/">Läs mer om bankID</a>
					<a href="http://www.bankid.com/"><img class="bankid-logo" src="assets/img/bankid_trans.png" href="http://www.bankid.com/"></a>
				</div>
			</div>


		</div>

		<div class="grid info-after">
			<div class="clearfix">
				<div class="row">
					<p class="col-1">Här registrerar du ditt bolag hos <br /><i>Softronic aktieadministration</i><br /> och får tillgång till följande tjänster:</p>

					<p class="col-1">BEVAKNING MOT BOLAGSKAPNING – Så fort det kommer in ett ärende till Bolagsverket och innan det är registrerat, får den eller de
						personer som är registrerade som mottagare ett mail och SMS med en länk där du kan kontrollera om det är ett korrekt ärende eller
						inte.</p>

					<p class="col-1">DIGITAL AKTIEBOK – Aktieboken ligger säkert lagrad hos <i>Softronic aktieadministration</i> och du kan logga in med BankID för att ta ut
						rapporter och göra förändringar i aktieboken. Du kan också beställa rapporter eller få hjälp med att göra registreringar eller
						förändringar i aktieboken.</p>

				</div>
			</div>
		</div>

		<div class="grid info-after">
			<div class="clearfix">
				<div class="row">
					<p class="col-1">Har du några frågor eller vill ha assistans, kontakta då oss på <a href="mailto:info@st-aktieadm.se">info@st-aktieadm.se</a></p>
				</div>
			</div>
		</div>

	</div> <!-- login-wrapper -->

</ui-view>


<iframe ng-if="bankId.openApp" ng-src="{{trustSrc(bankId.link)}}" height=0 width=0></iframe>
